<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>
<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>
	
<hx:panelBox layout="pageDirection" id="managecounterPanel" width="100%" cellpadding="0" cellspacing="0" rendered="true">
<h:panelGrid id="sriov_LogPortCounterGrid" styleClass="panelGrid">
<hx:ajaxRefreshSubmit id="portcounterRequest" ></hx:ajaxRefreshSubmit>
	
	<hx:panelBox>
		<h:outputText value="#{msg.LBL_PORT_COUNTERS}" id="portcounterheader" styleClass="headerText"/>
	</hx:panelBox>
	
	<hx:graphicImageEx value="/images/wtable_spacer.gif" id="imagelogcounter1"/>
	
	<h:panelGrid id="sriov_FCOELogPortCounterGrid" columns="2" styleClass="panelGrid" rendered="#{(!manageSriovUIBean.logicalPort.ethernetTypeLogPort) && (manageSriovUIBean.portcounterRender)}">
    <usmc:outputLabel id="fcoeLabel1" value="#{msg.LBL_TRANSMIT_KBCOUNT}" for="fcoeText1"/>
    <vsmfaces:outputText id="fcoeText1" uiproperty="#{manageSriovUIBean.logicalPortCounter.transKBytesCount}" />
    
    <usmc:outputLabel id="fcoeLabel2" value="#{msg.LBL_RECEIVE_KBCOUNT}" for="fcoeText2"/>
    <vsmfaces:outputText id="fcoeText2" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvKBytesCount}" />
    
    <usmc:outputLabel id="fcoeLabel3" value="#{msg.LBL_TRANSMIT_FRAMECNT}" for="fcoeText3"/>
    <vsmfaces:outputText id="fcoeText3" uiproperty="#{manageSriovUIBean.logicalPortCounter.transFrameCount}" />
        
    <usmc:outputLabel id="fcoeLabel4" value="#{msg.LBL_RECEIVE_FRAMECNT}" for="fcoeText4"/>
    <vsmfaces:outputText id="fcoeText4" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvFrameCount}"/>
    
    <usmc:outputLabel id="fcoeLabel5" value="#{msg.LBL_DROPPED_FRAMES}" for="fcoeText5"/>
    <vsmfaces:outputText id="fcoeText5" uiproperty="#{manageSriovUIBean.logicalPortCounter.droppedFrames}"/>
    
    <usmc:outputLabel id="fcoeLabel6" value="#{msg.LBL_ERR_FRAMES}" for="fcoeText6"/>
    <vsmfaces:outputText id="fcoeText6" uiproperty="#{manageSriovUIBean.logicalPortCounter.errorFrames  }"/>
    
    <usmc:outputLabel id="fcoeLabel7" value="#{msg.LBL_TRANSMIT_SEQCOUNT}" for="fcoeText7"/>
    <vsmfaces:outputText id="fcoeText7" uiproperty="#{manageSriovUIBean.logicalPortCounter.transSeqCount }"/>
    
    <usmc:outputLabel id="fcoeLabel8" value="#{msg.LBL_RECEIVE_SEQCOUNT}" for="fcoeText8"/>
    <vsmfaces:outputText id="fcoeText8" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvSeqCount  }"/>
    <usmc:outputLabel id="fcoeLabel9" value="#{msg.LBL_TOT_ORIG_EXCHANGES}" for="fcoeText9"/>
    <vsmfaces:outputText id="fcoeText9" uiproperty="#{manageSriovUIBean.logicalPortCounter.totExchangesOrig }"/>
    <usmc:outputLabel id="fcoeLabel10" value="#{msg.LBL_TOT_RESP_EXCHANGES}" for="fcoeText10"/>
    <vsmfaces:outputText id="fcoeText10" uiproperty="#{manageSriovUIBean.logicalPortCounter.totExchangesResp}"/>
    
    <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel1" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText1"/>
    	<h:outputText id="fcoeCount1" value="1"></h:outputText>
    </h:panelGroup>
    <vsmfaces:outputText id="fcoeAdapCountText1" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount1}"/>
    
    <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel2" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText2"/>
    	<h:outputText id="fcoeCount2" value="2"></h:outputText>
    </h:panelGroup>
    <vsmfaces:outputText id="fcoeAdapCountText2" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount2}"/>
    
    <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel3" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText3"/>
    	<h:outputText id="fcoeCount3" value="3"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText3" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount3}"/>
    
    
    <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel4" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText4"/>
    	<h:outputText id="fcoeCount4" value="4"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText4" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount4}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel5" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText5"/>
    	<h:outputText id="fcoeCount5" value="5"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText5" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount5}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel6" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText6"/>
    	<h:outputText id="fcoeCount6" value="6"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText6" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount6}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel7" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText7"/>
    	<h:outputText id="fcoeCount7" value="7"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText7" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount7}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel8" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText8"/>
    	<h:outputText id="fcoeCount8" value="8"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText8" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount8}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel9" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText9"/>
    	<h:outputText id="fcoeCount9" value="9"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText9" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount9}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="fcoeAdapCountLabel10" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="fcoeAdapCountText10"/>
    	<h:outputText id="fcoeCount10" value="10"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="fcoeAdapCountText10" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount10}"/>
    
	</h:panelGrid>
	
	<h:panelGrid id="sriov_NICLogPortCounterGrid" columns="2" styleClass="panelGrid" rendered="#{(manageSriovUIBean.logicalPort.ethernetTypeLogPort) && (manageSriovUIBean.portcounterRender)}">
		
    <usmc:outputLabel id="nicLabel1" value="#{msg.LBL_TRANSMIT_PKTS}" for="nicText1"/>
    <vsmfaces:outputText id="nicText1" uiproperty="#{manageSriovUIBean.logicalPortCounter.transmitPkts}"/>
    
    <usmc:outputLabel id="nicLabel2" value="#{msg.LBL_TRANSMIT_UNI_PKTS}" for="nicText2"/>
    <vsmfaces:outputText id="nicText2" uiproperty="#{manageSriovUIBean.logicalPortCounter.transUnicastPkts}"/>
    
    <usmc:outputLabel id="nicLabel3" value="#{msg.LBL_TRANSMIT_MULTI_PKTS}" for="nicText3"/>
    <vsmfaces:outputText id="nicText3" uiproperty="#{manageSriovUIBean.logicalPortCounter.transMulticastPkts}"/>
    
    <usmc:outputLabel id="nicLabel4" value="#{msg.LBL_TRANSMIT_BROD_PKTS}" for="nicText4"/>
    <vsmfaces:outputText id="nicText4" uiproperty="#{manageSriovUIBean.logicalPortCounter.transBroadcastPkts}"/>
    
    <usmc:outputLabel id="nicLabel5" value="#{msg.LBL_TRANSMIT_BYTES}" for="nicText5"/>
    <vsmfaces:outputText id="nicText5" uiproperty="#{manageSriovUIBean.logicalPortCounter.transBytes}"/>
    
    <usmc:outputLabel id="nicLabel6" value="#{msg.LBL_TRANSMIT_DROPEED}" for="nicText6"/>
    <vsmfaces:outputText id="nicText6" uiproperty="#{manageSriovUIBean.logicalPortCounter.transDropped}"/>
    
    <usmc:outputLabel id="nicLabel7" value="#{msg.LBL_TRANSMIT_ERRS}" for="nicText7"/>
    <vsmfaces:outputText id="nicText7" uiproperty="#{manageSriovUIBean.logicalPortCounter.transErrors}"/>
    
    <usmc:outputLabel id="nicLabel8" value="#{msg.LBL_RECEIVE_PKTS}" for="nicText8"/>
    <vsmfaces:outputText id="nicText8" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvPkts}"/>
  
    <usmc:outputLabel id="nicLabel9" value="#{msg.LBL_RECEIVE_UNI_PKTS}" for="nicText9"/>
    <vsmfaces:outputText id="nicText9" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvUnicastPkts}"/>
    
    <usmc:outputLabel id="nicLabel10" value="#{msg.LBL_RECEIVE_MULTI_PKTS}" for="nicText10"/>
    <vsmfaces:outputText id="nicText10" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvMulticastPkts}"/>
        
    <usmc:outputLabel id="nicLabel12" value="#{msg.LBL_RECEIVE_BROD_PKTS}" for="nicText12"/>
    <vsmfaces:outputText id="nicText12"uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvBroadcastPkts}"/>
    
    <usmc:outputLabel id="nicLabel13" value="#{msg.LBL_RECEIVE_BYTES}" for="nicText13"/>
    <vsmfaces:outputText id="nicText13" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvBytes}"/>
    
    <usmc:outputLabel id="nicLabel14" value="#{msg.LBL_RECEIVE_DROPPED}" for="nicText14"/>
    <vsmfaces:outputText id="nicText14" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvDropped}"/>
    
    <usmc:outputLabel id="nicLabel15" value="#{msg.LBL_RECEIVE_ERRS}" for="nicText15"/>
    <vsmfaces:outputText id="nicText15" uiproperty="#{manageSriovUIBean.logicalPortCounter.rcvErrors}"/>
  
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel1" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText1"/>
    	<h:outputText id="nicCount1" value="1"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText1"uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount1}"/>
    
    <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel2" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText2"/>
    	<h:outputText id="nicCount2" value="2"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText2" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount2}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel3" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText3"/>
    	<h:outputText id="nicCount3" value="3"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText3" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount3}"/>
    
    
    <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel4" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText4"/>
    	<h:outputText id="nicCount4" value="4"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText4" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount4}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel5" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText5"/>
    	<h:outputText id="nicCount5" value="5"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText5" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount5}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel6" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText6"/>
    	<h:outputText id="nicCount6" value="6"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText6" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount6}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel7" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText7"/>
    	<h:outputText id="nicCount7" value="7"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText7" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount7}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel8" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText8"/>
    	<h:outputText id="nicCount8" value="8"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText8" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount8}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel9" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText9"/>
    	<h:outputText id="nicCount9" value="9"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText9" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount9}"/>
    
     <h:panelGroup>
    	<usmc:outputLabel id="nicAdapCountLabel10" value="#{msg.LBL_ADAP_SPEC_COUNT}" for="nicAdapCountText10"/>
    	<h:outputText id="nicCount10" value="10"></h:outputText>
    </h:panelGroup>
     <vsmfaces:outputText id="nicAdapCountText10" uiproperty="#{manageSriovUIBean.logicalPortCounter.adapterCount10}"/>
    
    
	</h:panelGrid>
	
	<h:panelGrid id="sriovPortCounterbuttonGrid" columns="2" styleClass="panelGrid" rendered="#{manageSriovUIBean.portcounterRender}">
	
	<hx:commandExButton styleClass="buttonRegular" id="refreshLogPortcounter"
				action="#{manageSriovBean.refreshPage}"
				value="#{msg.LBL_REFRESH_ADAPTER}" actionListener="#{manageSriovBean.refreshEvent}">
				<hx:behavior event="onclick" targetAction="sriovConfigurePortDialog;manageServerPanel" behaviorAction="hide;get;stop"/>	
				</hx:commandExButton>
	
	<hx:commandExButton styleClass="buttonRegular" id="ClearStatLogPortcounter"
				action="#{manageSriovBean.refreshPage}"
				value="#{msg.LBL_CLEAR_STATS}" actionListener="#{manageSriovBean.clearEvent}">
				<hx:behavior event="onclick" targetAction="sriovConfigurePortDialog;manageServerPanel" behaviorAction="hide;get;stop"/>	
				</hx:commandExButton>
				
	<hx:graphicImageEx value="/images/wtable_spacer.gif" id="imagelogcounter2" />
	<hx:graphicImageEx value="/images/wtable_spacer.gif" id="imagelogcounter3" />						
	
	</h:panelGrid>
	
	
	<h:panelGrid id="sriovprogessSesctionPortCounter" rendered="#{!manageSriovUIBean.portcounterRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="spinImageSriovportcounter" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="opttextsriovBlank1"></h:outputText>
			<h:outputText value="#{manageSriovUIBean.refreshStringText}" escape="false" id="optxtsriovpc"/>
	</h:panelGrid>
	
	
	
</h:panelGrid>

    </hx:panelBox>
