<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="sriovPanel" width="100%">
<usmc:messageBox id="name_messagebox"
                messageCollection="#{messageBoxBean.messages}"
                styleClass="taskInfo"
                immediate="true"
                closeLinkVisible="true"
                helpListener="#{messageBoxBean.handleHelp}"
                closeListener="#{messageBoxBean.handleClose}"
                responseListener="#{messageBoxBean.handleResponse}"
                rendered="true"/>
                
                <hx:ajaxRefreshSubmit id="vethsortRefresh" />
       
	<hx:panelDialog id="sriovsubPanelDialog" rendered="false">						
				</hx:panelDialog>

	<h:outputText id="escape3Text" value="<P>" escape="false"/>
		<h:outputText id="escape321Text" value="<P>" escape="false"/>
		<h:outputText id="escape23Text" value="<P>" escape="false"/>
		
		
		<h:panelGrid columns="1">
		<usmc:outputLabel id="lblLogicalPortType" for="logicalPortTypebox" value="#{msg.LBL_PORTTYPE_TEXT}"/>
			<h:outputText value="&nbsp;&nbsp;" escape="false" />
			<h:selectOneMenu id="logicalPortTypebox" value="#{sriov_bean.logicalPortType}">
			<f:selectItems id="logicalportselectitems" value="#{sriov_bean.portType}" />
			<hx:behavior event="onchange" targetAction="sriovPanel" behaviorAction="get;stop"/>	
		  </h:selectOneMenu>
			
		</h:panelGrid>
			<h:outputText id="escapeText1" value="<P>" escape="false"/>
		         
		<hx:commandExButton styleClass="buttonRegular" id="configureLogPort"
				action="#{sriov_bean.addLogicalPort}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{sriov_bean.launchDialogPanelEvent}" >
				<hx:behavior event="onclick" targetAction="sriovPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>	
		
		<h:outputText id="escapeText" value="<P>" escape="false"/>
		<h:outputText id="escape21Text" value="<P>" escape="false"/>
		<h:outputText id="escape2222Text" value="<P>" escape="false"/>
			<h:panelGrid id="confiPanel" border="0" cellpadding="0" cellspacing="0" width="100%">
			 <h:outputText id="escapeText129" value="<P>" escape="false"/>
		<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,
		wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR" id="atoolbarTable" 
		columns="6" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="true">
		
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px"/>
			<hx:commandExButton styleClass="buttonRegular" id="editLogPort"
				action="#{sriov_bean.editLogicalPort}"
				value="#{msg.LBL_EDIT_ADAPTER}" actionListener="#{sriov_bean.launchDialogPanelEvent}" >
				<hx:behavior event="onclick" targetAction="sriovPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<hx:commandExButton styleClass="buttonRegular" id="removeLogPort"
				action="#{sriov_bean.deleteLogicalPort}"
				value="#{msg.LBL_REMOVE_ADAPTER}" >
				<hx:behavior event="onclick" targetAction="sriovPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif"/>
				
		</h:panelGrid>
		
		<h:panelGrid id="hesriovatablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder">						
		
		<hx:dataTableEx border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2"
					id="configtable" styleClass="newFaceDataTable"
					value="#{sriov_bean.addDetails}"
					var="configlist" width="100%" scrollSize="#{adapter_cs_pagecode.heatblScrollSize}">
					
					<hx:columnEx id="hea_adapters_selectcolumn" style="text-align: center;width: 10%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel id="hea_adapters_selectlabel" styleClass="outputLabel" for="hea_adapters_select_id" value="#{msg.select}"/>
						</h:panelGrid>
						</f:facet>
						<h:selectBooleanCheckbox id="hea_adapters_select_id" value="#{configlist.selected}" onclick="handleTableRowTaskSelection('createServer_form:createsvrwizard:SriovPanel:configtable',true,
						'createServer_form:createsvrwizard:SriovPanel:editLogPort','createServer_form:createsvrwizard:SriovPanel:removeLogPort');" 
					/>
					</hx:columnEx>
					
					<hx:columnEx id="adapGrpCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel id="adaptersgrp" styleClass="outputLabel" for="adapter_id" value="#{msg.LBL_ADAPTER}"/>
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaPortGrpCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						<h:outputText id="adapter_id" styleClass="outputText" value="#{configlist.adapterId}"/>
					</hx:columnEx>					
					
					
				<hx:columnEx id="sriov_configcolumn">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="sriov_configlabel"
							value="#{msg.LBL_CONFIG}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right"/>
					</h:panelGrid>
				</f:facet>
				<h:commandLink id="sriovconfig_link" styleClass="outputLinkEx" action="#{sriov_bean.editLogicalPort}" actionListener="#{sriov_bean.launchDialogPanelEvent}" immediate="true">
				<h:outputText id="sriovconfigLinkText" value="#{configlist.configId}" />
				<hx:behavior event="onclick" targetAction="sriovPanel" behaviorAction="get;stop"/>
			    </h:commandLink>
			</hx:columnEx>
					
					
					<hx:columnEx id="heaPortGrpCol">
						<f:facet name="header">
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">
						
						<usmc:outputLabel id="hea_adapterslstatelabel" styleClass="outputLabel" for="hea_adapterslstate_id" value="#{msg.LBL_PHYSICALPORT}"/>
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaPortGrpCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						
						<vsmfaces:outputText uiproperty="#{configlist.physPort}" />
					</hx:columnEx>					
					
					<hx:columnEx id="heaAvailConnCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">						
						<usmc:outputLabel id="hea_adaptersavailconnlabel" styleClass="outputLabel" for="hea_adaptersavailconn_id" value="#{msg.LBL_CAPACITY}"/>
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaAvailConnCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						
						<vsmfaces:outputText uiproperty="#{configlist.capacity}" />
					</hx:columnEx>
					
					
						<hx:columnEx id="hAvailConnCol">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">						
						<usmc:outputLabel id="a_adaptersavailconnlabel" styleClass="outputLabel" for="a_adaptersavailconn_id" value="#{msg.LBL_DIAGNOSTIC}"/>
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaAvailConnCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
					
						<vsmfaces:outputText  uiproperty="#{configlist.diagnostic}"/>
					</hx:columnEx>
					
					
					
					<hx:columnEx id="heaAvailConnCol1">
						<f:facet name="header">
						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">						
						<usmc:outputLabel id="hea_adaptersavailconnlabel1" styleClass="outputLabel" for="hea_adaptersavailconn_id1" value="#{msg.LBL_TYPE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}" style="text-align: right" onclick="sortCol(
							'createServer_form:createsvrwizard:AssignEthernetPanel:heasortbutton','heaAvailConnCol','createServer_form:createsvrwizard:AssignEthernetPanel:heaSortColumn');"/>
							</h:panelGrid>
							
						</f:facet>
						
						<vsmfaces:outputText uiproperty="#{configlist.type}" />
					</hx:columnEx>
					
					
					
	</hx:dataTableEx>
	
	</h:panelGrid>
	
	
</h:panelGrid>
	
</hx:panelBox>