<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<h:inputText value="#{manageSriovUIBean.sriovSortColumn}" style="display : none" id="sriovSortColumn"/>

<hx:panelBox id="managesriovPanelnonsriov" width="100%" cellpadding="0" cellspacing="0" rendered="#{!(manageServerUIBean.srvioEnabled)}">
	<h:panelGrid id="panelgridnonsriov" rendered="true" columns="2">
	<hx:graphicImageEx value="/images/warning_obj16.gif" id ="imagenonsriov"/>
	<h:outputText id="nonsriovtext" value="#{msg.LBL_NONCONFIGURED_SRIOV}"/>
	</h:panelGrid>
</hx:panelBox>

<hx:panelBox id="managesriovPanelnonsriov2" width="100%" cellpadding="0" cellspacing="0" rendered="#{(manageServerUIBean.suspendEnabled.booleanValue) || (manageServerUIBean.remoteRestartEnabled) || (manageMemoryUIBean.shared) }">
	<h:panelGrid id="panelgridnonsriov2" rendered="true" columns="2">
	<hx:graphicImageEx value="/images/warning_obj16.gif" id ="imagenonsriov2"/>
	<h:outputText id="nonsriovtext2" value="#{msg.LBL_DISABLE_SRIOV}"/>
	</h:panelGrid>
</hx:panelBox>

<hx:panelBox layout="pageDirection" id="managesriovPanel" width="100%" cellpadding="0" cellspacing="0" rendered="#{manageServerUIBean.srvioEnabled && !(manageServerUIBean.remoteRestartEnabled) && !(manageServerUIBean.suspendEnabled.booleanValue) && !(manageMemoryUIBean.shared)}">
<h:outputText value="<p></p>" escape="false"/>
	<usmc:messageBox id="name_messagebox"
		messageCollection="#{manageSriovBean.messages}"
		styleClass="taskInfo" immediate="true" closeLinkVisible="false" />

	<hx:ajaxRefreshSubmit id="manageVirAdapterPanelRefresh" />
	
<hx:panelBox id="managesriovPanelnonsriov3" width="100%" cellpadding="0" cellspacing="0" rendered="#{(manageServerUIBean.serverStarted) && !(vs_curr_config.dynamicConfigEnabled)}">
	<h:panelGrid id="panelgridnonsriov3" rendered="true" columns="2">
	<hx:graphicImageEx value="/images/warning_obj16.gif" id ="imagenonsriov3"/>
	<h:outputText id="nonsriovtext3" value="#{msg.RMC_ENABLE_WARNING}"/>
	</h:panelGrid>
</hx:panelBox>
	
  <hx:panelDialog id="sriovConfigurePortDialog" rendered="false" style="width:750px;">
	</hx:panelDialog>
  					
  		<hx:panelSection id="sriovPanelSection"
		styleClass="panelSectionDPSMWide" initClosed="false">
		<f:facet name="closed">
			<hx:jspPanel id="isd51">
				<hx:graphicImageEx id="ws61" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtesxt11" value="#{msg.LBL_SRIOV_PANELSECTION}"
					title="#{msg.LBL_SRIOV_PANELSECTION}" />
			</hx:jspPanel>
		</f:facet>
		<f:facet name="opened">
			<hx:jspPanel id="ids31">
				<hx:graphicImageEx id="ws41" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vsext12" value="#{msg.LBL_SRIOV_PANELSECTION}"
					title="#{msg.LBL_SRIOV_PANELSECTION}" />
			</hx:jspPanel>
		</f:facet>
  					
		<h:panelGrid id="sriovprogessSesction" rendered="#{manageSriovUIBean.logicalPortRender}" cellpadding="0" cellspacing="0" columns="3">
			<hx:graphicImageEx id="spinImageSriovmainpage" value="/images/processing.gif"/>
			<h:outputText value="&nbsp;" escape="false" id="opttextsriovBlank"></h:outputText>
			<h:outputText value="#{manageSriovUIBean.waitingUsrText}" escape="false" id="optxtsriov"/>
			</h:panelGrid>
			

		<h:panelGrid id="sriovlogicalporttablepanel" width="90%" cellpadding="0" cellspacing="0" border="0" rendered="#{!manageSriovUIBean.logicalPortRender}" >
		
<hx:commandExButton value="" action="#{manageSriovUIBean.sortSriovTable}" style="display : none" id="sriovsortbutton">
							<hx:behavior event="onclick" targetAction="sriovlogporttablewrapperPanel" behaviorAction="get;stop" target="sriovsortbutton"/>	
			</hx:commandExButton>	    
	   
		<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,
			wclDataTableToolbarBR,wclDataTableToolbarR" id="sriovtoolbarTable" 
			columns="7" border="0" cellpadding="0" cellspacing="0" width="100%" rendered="#{manageServerUIBean.permission}">
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" style="width: 15px" id="managesriovimage1"/>
			
		    <hx:commandExButton styleClass="buttonRegular" id="configureLogPort"
				action="#{manageSriovUIBean.configureLogPortType}" disabled="#{!(manageServerUIBean.serverStarted)}"
				value="#{msg.LBL_ADD_ADAPTER}" actionListener="#{manageSriovUIBean.launchDialogPanelEvent}" >
				<hx:behavior event="onclick" targetAction="managesriovPanel" behaviorAction="get;stop"/>	
	   		</hx:commandExButton>
			<hx:commandExButton styleClass="commandExButton" id="editLogPort"
				action="#{manageSriovUIBean.editLogicalPort}" 
				value="#{msg.LBL_EDIT_ADAPTER}" actionListener="#{manageSriovUIBean.launchDialogPanelEvent}" >
				<hx:behavior event="onclick" targetAction="managesriovPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			<hx:commandExButton styleClass="commandExButton" id="removeLogPort"
				action="#{manageSriovUIBean.removeLogicPort}" value="#{msg.LBL_REMOVE_ADAPTER}" actionListener="#{manageSriovUIBean.launchDialogPanelEvent}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<hx:commandExButton styleClass="commandExButton" id="loginLogoutFC"
				action="#{manageSriovUIBean.loginLogoutFCOE}" value="#{msg.LBL_LOGIN_LOGOUT_FCOE}" actionListener="#{manageSriovUIBean.launchDialogPanelEvent}">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>
			
			<hx:graphicImageEx value="/images/wtable_spacer.gif" id="managesriovimmage2"/>
			<hx:graphicImageEx value="/images/wtable_spacer.gif" id="managesriovimmage3"/>						
		</h:panelGrid>
			
		<h:panelGrid id="sriovlogporttablewrapperPanel" width="100%" cellspacing="0" cellpadding="0" border="0" styleClass="newFaceDataTableBorder" >		
		
		<hx:dataTableEx id="sriovTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageSriovUIBean.logicalPortDetails}"
					var="sriovadapterslist" width="100%" scrollSize="#{manageSriovUIBean.sriovTblScrollSize}">
					
					<hx:columnEx id="sriov_adaptersSelectcolumn" style="text-align: center;width: 8%">
						<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">							
							<usmc:outputLabel styleClass="outputLabel"
								id="sriov_adaptersSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
							</h:panelGrid>
						</f:facet>
			<h:selectBooleanCheckbox rendered="#{manageServerUIBean.permission}"
				value="#{sriovadapterslist.selected}" onclick="handleTableRowTaskSelection('SriovSettingsPanel:sriovTable',true,false,
						'SriovSettingsPanel:editLogPort','SriovSettingsPanel:removeLogPort',null,null);"/>
			
			</hx:columnEx>


		<hx:columnEx id="sriovPhyAdapterIdCol" style="width: 10%">
				<f:facet name="header">

					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">

						<usmc:outputLabel styleClass="outputLabel"
							id="sriov_phyadaptersIdlabel"	value="#{msg.LBL_ADAPTER_ID}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="sortimage1" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovsortbuttonid','sriovPhyAdapterIdCol','manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovSortColumn');"/>
					</h:panelGrid>

				</f:facet>

				
				<h:outputText id="adapter_id" styleClass="outputText" value="#{sriovadapterslist.adapterId}"/>
			</hx:columnEx>
			<hx:columnEx id="sriovPhyAdapCol">
				<f:facet name="header">

					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">

						<usmc:outputLabel styleClass="outputLabel"
							id="sriov_phyadapterslabel"	value="#{msg.LBL_PHYSICALPORT}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="sortimage2" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovsortbutton','sriovPhyAdapCol','manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovSortColumn');"/>
					</h:panelGrid>

				</f:facet>

				<vsmfaces:outputText uiproperty="#{sriovadapterslist.physPort}" />
			</hx:columnEx>

			<hx:columnEx id="sriov_configcolumn" style="width: 10%">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel styleClass="outputLabel" id="sriov_configlabel"
							value="#{msg.LBL_CONFIG}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="sortimage3" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovsortbutton','sriov_configcolumn','manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovSortColumn');"/>
					</h:panelGrid>
				</f:facet>
				
				<h:commandLink id="sriovconfigLink" onmouseup="var avdisk = this.id.replace('sriovconfigLink','editLogPortLink');document.getElementById(avdisk).click();" >
					<h:outputText id="sriovconfigLinkText" value="#{sriovadapterslist.configurationId}" />
			    </h:commandLink>
			    
			<hx:commandExButton styleClass="commandExButton" id="editLogPortLink"
				action="#{manageSriovUIBean.editLogicalPort}" style="display:none;" value="#{sriovadapterslist.configurationId}"
				 actionListener="#{manageSriovUIBean.launchDialogPanelEvent}" >
				<hx:behavior event="onclick" targetAction="managesriovPanel" behaviorAction="get;stop"/>	
			</hx:commandExButton>    
			   
			</hx:columnEx>

			<hx:columnEx id="sriovCapacityCol" style="width: 10%">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="sriov_capacitylabel"
							styleClass="outputLabel" 
							value="#{msg.LBL_CAPACITY}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="sortimage4" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovsortbutton','sriovCapacityCol','manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovSortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText uiproperty="#{sriovadapterslist.capacity}" />
			</hx:columnEx>

			<hx:columnEx id="sriovDiagnosticCol" style="width: 10%">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adapterssharedAdaplabel"
							styleClass="outputLabel" value="#{msg.LBL_DIAGNOSTIC}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.LBL_TBL_NOSORT}" id="sortimage5" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovsortbutton','sriovDiagnosticCol','manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovSortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText styleClass="outputText"
					uiproperty="#{sriovadapterslist.diagnostic}"/>
			</hx:columnEx>

			<hx:columnEx id="ethPriorityCol" style="width: 10%">
				<f:facet name="header">
					<h:panelGrid columns="2" width="100%"
						columnClasses="sortHeaderText,sortHeaderImage">
						<usmc:outputLabel id="eth_adaptersprioritylabel"
							styleClass="outputLabel" value="#{msg.LBL_TYPE}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.TBL_NONE_TITLE}" id="sortimage6" alt="#{msg.TBL_NONE_TITLE}"
							style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovsortbutton','ethPriorityCol','manageServer_form:ManageServerVTabView:SriovSettingsPanel:sriovSortColumn');"/>
					</h:panelGrid>
				</f:facet>
				<vsmfaces:outputText uiproperty="#{sriovadapterslist.type}" />
			</hx:columnEx>

			</hx:dataTableEx>

		</h:panelGrid>
		<exfaces:script rendered="true" type="text/javascript" 
			value="handleTableRowTaskSelection('SriovSettingsPanel:sriovTable',true,false,'SriovSettingsPanel:editLogPort','SriovSettingsPanel:removeLogPort',null,null);"/>
	</h:panelGrid>
		
	</hx:panelSection>

	
                </hx:panelBox>
                