<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<hx:panelBox layout="pageDirection" id="manageVirAdaptersPanel"
	width="100%" cellpadding="0" cellspacing="0">
<h:outputText value="<p><p>" escape="false"/>
	<usmc:messageBox id="name_messagebox"
		messageCollection="#{manageVirAdaptersBean.messages}"
		styleClass="taskInfo" immediate="true" closeLinkVisible="false" />

	<hx:ajaxRefreshSubmit id="manageVirAdapterPanelRefresh" />

	<hx:panelDialog id="virAdapterpanelDialog" rendered="false">
	</hx:panelDialog>

	<hx:panelSection id="virtualStorageAdapPanelSection"
		styleClass="panelSectionDPSMWide" initClosed="false">
		<f:facet name="closed">
			<hx:jspPanel id="id51">
				<hx:graphicImageEx id="id61" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtext11" value="#{msg.LBL_VIRSTRGADAP_HEADER}" title="#{msg.LBL_VIRSTRGADAP_HEADER}"/>
			</hx:jspPanel>
		</f:facet>
		<f:facet name="opened">
			<hx:jspPanel id="id31">
				<hx:graphicImageEx id="id41" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtext12" value="#{msg.LBL_VIRSTRGADAP_HEADER}" title="#{msg.LBL_VIRSTRGADAP_HEADER}"/>
			</hx:jspPanel>
		</f:facet>

		<h:panelGrid cellpadding="0" cellspacing="0" width="100%"
			id="nonpowervmexpressscsiPanel"
			rendered="#{!(host_config.powerVMExpress && host_config.powerVMExpressVIO && manageServerUIBean.powerVMNonIdRange)}">

			<h:panelGrid id="virstrAdapprogessSesction"
				rendered="#{!manageVirAdaptersUIBean.virStrgAdapPageRender}"
				cellpadding="0" cellspacing="0" columns="3">
				<hx:graphicImageEx id="spinImagevirstrAdap"
					value="/images/processing.gif" />
				<h:outputText value="&nbsp;" escape="false" id="opttextvirstrAdap"></h:outputText>
				<h:outputText
					value="#{manageVirAdaptersUIBean.virAdapWaitingUsrText}"
					escape="false" id="optxtvirstrAdap" />
			</h:panelGrid>

			<h:panelGrid width="100%" cellpadding="0" cellspacing="0"
				rendered="#{manageVirAdaptersUIBean.virStrgAdapPageRender}">
				<h:outputText value="<br>" escape="false" />

				<h:panelGrid columns="3" id="maxadapterspanel">
					<usmc:outputLabel id="availVirtualadapters_id"
						value="#{msg.LBL_AVAILVIR_ADAP}" for="input_maxVirtualadapters_id" />
					<h:outputText value="&nbsp;&nbsp;" escape="false" />
					<h:outputText id="output_availVirtualadapters_id"
						value="#{manageVirAdaptersUIBean.availVirSlots}" />
				</h:panelGrid>

				<h:outputText value="<br>" escape="false" />

				<hx:commandExButton value=""
					action="#{manageVirAdaptersUIBean.sortVAdapTable}"
					style="display : none" id="vAdapsortbutton">
					<hx:behavior event="onclick"
						targetAction="vadaptertablewrapperPanel" behaviorAction="get;stop"
						target="vAdapsortbutton" />
				</hx:commandExButton>

				<h:inputText value="#{manageVirAdaptersUIBean.sortColumnId}"
					style="display : none" id="vAdapSortColumn" />

				<h:panelGrid id="adapterlistpanel" border="0" cellpadding="0"
					cellspacing="0" width="90%">

					<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR"
						id="toolbarTable" columns="6" border="0" cellpadding="0"
						cellspacing="0" width="100%"
						rendered="#{manageVirAdaptersUIBean.renderVAdapterTable && manageServerUIBean.permission}">

						<hx:graphicImageEx value="/images/wtable_spacer.gif"
							style="width: 15px" />

						<hx:commandExButton styleClass="commandExButton" id="addadapterid"
							action="#{manageVirAdaptersUIBean.createVirtualAdapterAdapPage}"
							value="#{msg.LBL_ADD_ADAPTER}"
							disabled="#{!(manageVirAdaptersUIBean.virtualSlotsAvail && manageServerUIBean.vserverActionEnabled)}">
							<hx:behavior event="onclick"
								targetAction="manageVirAdaptersPanel" behaviorAction="get;stop" />
						</hx:commandExButton>

						<hx:commandExButton styleClass="commandExButton"
							id="deleteadapterid"
							action="#{manageVirAdaptersUIBean.deleteVirtualAdapter}"
							type="submit"
							value="#{msg.LBL_REMOVE_ADAPTER}"
							disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
							<hx:behavior event="onclick"
								targetAction="manageServerPanel" behaviorAction="get;stop" />
						</hx:commandExButton>

						<hx:commandExButton styleClass="commandExButton" id="viewadapterid"
							action="#{manageVirAdaptersUIBean.viewVirtualAdapter}"
							value="#{msg.LBL_VIEW_ADAPTER}">
							<hx:behavior event="onclick"
								targetAction="manageVirAdaptersPanel" behaviorAction="get;stop" />
						</hx:commandExButton>

						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
					</h:panelGrid>

					<h:panelGrid columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR"
						id="toolbarPermVATable" columns="4" border="0" cellpadding="0"
						cellspacing="0" width="100%"
						rendered="#{manageVirAdaptersUIBean.renderVAdapterTable && (!manageServerUIBean.permission)}">
						<hx:graphicImageEx value="/images/wtable_spacer.gif"
							style="width: 15px" />
						<hx:commandExButton styleClass="commandExButton" id="viewadapteridPerm"
							action="#{manageVirAdaptersUIBean.viewVirtualAdapter}"
							value="#{msg.LBL_VIEW_ADAPTER}">
							<hx:behavior event="onclick"
								targetAction="manageVirAdaptersPanel" behaviorAction="get;stop" />
						</hx:commandExButton>

						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
					</h:panelGrid>	
					
					<h:panelGrid id="vadaptertablewrapperPanel" width="100%"
						cellspacing="0" cellpadding="0" border="0"
						styleClass="newFaceDataTableBorder"
						rendered="#{manageVirAdaptersUIBean.renderVAdapterTable}">

						<hx:dataTableEx id="vadapterTable" border="0" cellpadding="10"
							cellspacing="0" columnClasses="columnClass1"
							headerClass="dataTableColumnHeader" footerClass="footerClass"
							rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
							value="#{manageVirAdaptersUIBean.vadapterDetails}"
							var="adapterslist" width="100%"
							scrollSize="#{manageVirAdaptersUIBean.vdapTblScrollSize}">

							<hx:columnEx style="text-align: center;width: 10%">
								<f:facet name="header">
									<h:panelGrid width="100%" columnClasses="sortHeaderText">
										<usmc:outputLabel styleClass="outputLabel"
											id="vir_adaptersSelectlabel" value="#{msg.LBL_TBL_SELECT}" />
									</h:panelGrid>
								</f:facet>
								<h:selectBooleanCheckbox
									value="#{adapterslist.adapterNameString.selected}" rendered="#{manageServerUIBean.permission}"
									onclick="handleTableRowTaskSelection('ManageVirAdapPanel:vadapterTable',true,true,
						null,'ManageVirAdapPanel:deleteadapterid','ManageVirAdapPanel:viewadapterid',null);" disabled="#{adapterslist.tccAdapterDetail}"/>
								<h:selectBooleanCheckbox rendered="#{!manageServerUIBean.permission}"
									value="#{adapterslist.adapterNameString.selected}"
									onclick="handleTableRowTaskSelection('ManageVirAdapPanel:vadapterTable',true,true,
						null,null,'ManageVirAdapPanel:viewadapteridPerm',null);" disabled="#{adapterslist.tccAdapterDetail}"/>
							</hx:columnEx>

							<hx:columnEx id="vadapterNameCol">
								<f:facet name="header">

									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">

										<usmc:outputLabel styleClass="outputLabel"
											id="vir_adaptersidlabel" value="#{msg.LBL_ADAPTER_ID}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapterNameCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');" />
									</h:panelGrid>

								</f:facet>
								<vsmfaces:outputText
									uiproperty="#{adapterslist.adapterNameString}" />
							</hx:columnEx>

							<hx:columnEx id="vadapterTypeCol">
								<f:facet name="header">
									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">

										<usmc:outputLabel styleClass="outputLabel"
											id="vir_adapterstype" value="#{msg.LBL_ADAP_TYPE}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapterTypeCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');" />
									</h:panelGrid>

								</f:facet>
								<h:outputText styleClass="outputText"
									value="#{adapterslist.adapterTypeString}" />
							</hx:columnEx>

							<hx:columnEx id="vadapterVIOSCol">
								<f:facet name="header">

									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel id="vir_adapter_connsvrname"
											styleClass="outputLabel" value="#{msg.LBL_CONNVSERVER}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapterVIOSCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');" />
									</h:panelGrid>

								</f:facet>
								<vsmfaces:outputText styleClass="outputText"
									uiproperty="#{adapterslist.connVServerString}" />
							</hx:columnEx>

							<hx:columnEx id="vadapConnIdCol">
								<f:facet name="header">

									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel id="vir_adapters_connsvrid"
											styleClass="outputLabel" value="#{msg.LBL_CONNVADAP_ID}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapConnIdCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');" />
									</h:panelGrid>

								</f:facet>
								<h:outputText styleClass="outputText"
									value="#{adapterslist.connVAdapterString}" />
							</hx:columnEx>
							
							<hx:columnEx id="requiredDesiredFlagCol">
								<f:facet name="header">

									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel id="requiredDesiredFlagLabel"
											styleClass="outputLabel" value="#{msg.LBL_VSA_REQUIREDDESIREDFLAG}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','requiredDesiredFlagCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');" />
									</h:panelGrid>

								</f:facet>
								<h:outputText styleClass="outputText"
									value="#{adapterslist.requiredDesiredFlag}" />
							</hx:columnEx>

							<hx:columnEx id="vadapdevCol"
								rendered="#{manageServerUIBean.rpaEnv}">
								<f:facet name="header">

									<h:panelGrid columns="2" width="100%"
										columnClasses="sortHeaderText,sortHeaderImage">
										<usmc:outputLabel id="vir_adapters_devices"
											styleClass="outputLabel" value="#{msg.LBL_BACKING_DEVICES}" />
										<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
											title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
											style="text-align: right"
											onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapdevCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');" />
									</h:panelGrid>

								</f:facet>
								<h:panelGrid>
									<h:outputText styleClass="outputText"
										value="#{adapterslist.backingDeviceSize}" />

									<h:panelGrid style="display: none" cellpadding="0"
										cellspacing="0" styleClass="newFaceDataTableBorder"
										rendered="#{adapterslist.deviceTblRender}">
										<hx:dataTableEx border="0" cellpadding="10" cellspacing="0"
											columnClasses="columnClass1" footerClass="footerClass"
											rowClasses="rowClass1, rowClass2"
											styleClass="newFaceDataTable"
											value="#{adapterslist.backingDevices}"
											var="backingDeviceList" width="100%">
											<hx:columnEx id="virstrgAdapNameCol">
												<h:outputText value="#{backingDeviceList.name}" />
											</hx:columnEx>
										</hx:dataTableEx>
										<h:panelGrid columns="2">
											<hx:commandExButton styleClass="commandExButton"
												id="cancelvirstrgAdapid" action=""
												styleClass="commandExButton" type="submit"
												value="#{msg.LBL_CANCEL}">
												<hx:behavior event="onclick"
													targetAction="vadaptertablewrapperPanel"
													behaviorAction="get;stop" />
											</hx:commandExButton>
										</h:panelGrid>
									</h:panelGrid>
								</h:panelGrid>
							</hx:columnEx>

						</hx:dataTableEx>

					</h:panelGrid>

					<exfaces:script type="text/javascript"
						value="alignCol('manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vadapterTable');"
						rendered="#{manageVirAdaptersUIBean.vdapTblScrollable}" />

					<h:outputText value="#{msg.LBL_VIRADAP_EMPTYTEXT}"
						rendered="#{!manageVirAdaptersUIBean.renderVAdapterTable}" />
					<h:outputText value="#{msg.LBL_VIRADAP_EMPTYTEXT_ADD}"
						rendered="#{!manageVirAdaptersUIBean.renderVAdapterTable && manageServerUIBean.permission}" />
						
					<hx:commandExButton styleClass="buttonRegular" id="createadapterid"
						action="#{manageVirAdaptersUIBean.createVirtualAdapterAdapPage}"
						value="#{msg.LBL_CREATE_ADAPTER}"
						rendered="#{!manageVirAdaptersUIBean.renderVAdapterTable && manageServerUIBean.permission}" disabled="#{!(manageServerUIBean.vserverActionEnabled)}">
						<hx:behavior event="onclick" targetAction="manageVirAdaptersPanel"
							behaviorAction="get;stop" />
					</hx:commandExButton>

					<exfaces:script
						rendered="#{manageVirAdaptersUIBean.renderVAdapterTable && manageServerUIBean.permission}"
						type="text/javascript"
						value="handleTableRowTaskSelection('ManageVirAdapPanel:vadapterTable',true,true,
						null,'ManageVirAdapPanel:deleteadapterid','ManageVirAdapPanel:viewadapterid',null);" />
					<exfaces:script
						rendered="#{manageVirAdaptersUIBean.renderVAdapterTable && (!manageServerUIBean.permission)}"
						type="text/javascript"
						value="handleTableRowTaskSelection('ManageVirAdapPanel:vadapterTable',true,true,
						null,null,'ManageVirAdapPanel:viewadapteridPerm',null);" />
				</h:panelGrid>

				<h:outputText value="<br><br>" escape="false" />
				<h:panelGrid
					rendered="#{manageServerUIBean.viosEnv && !host_config.newVioRangeSupported}"
					columns="2" columnClasses="columnAlignTop">
					<h:outputText value="#{msg.LBL_VIRADAP_VIOSNOTE}" />
					<h:panelGrid cellpadding="0" cellspacing="0"
						columnClasses="columnAlignTop" columns="3">
						<h:outputText value="#{msg.LBL_VIRADAP_VIOSNUM1}" />
						<h:outputText value="&nbsp;&nbsp;" escape="false" />
						<h:outputText value="#{manageServerUIBean.reservedRangeMsg}" />
					</h:panelGrid>
				</h:panelGrid>

			</h:panelGrid>
		</h:panelGrid>
		<h:panelGrid id="powervmexpresspaneltext"
			rendered="#{(host_config.powerVMExpress && host_config.powerVMExpressVIO && manageServerUIBean.powerVMNonIdRange)}">
			<h:outputText value="#{msg.LBL_VIRADAP_NONPOWERVMTEXT}" id="vscsipowernovmtext"/>
		</h:panelGrid>
		
		<h:panelGrid id="power5IBMinoVIOServerVFCCAP"
			rendered="#{manageVirAdaptersUIBean.ibmiNOSCSIFCCAP}">
			<h:outputText value="#{msg.LBL_VIRADAP_P5NOSCSIVFCCAP}" id="power5ibmitext"/>
		</h:panelGrid>
	</hx:panelSection>
	
	<h:panelGrid id="wwpnPanel" width="100%" rendered="#{!manageServerUIBean.viosEnv}">
	<hx:panelSection id="wwpnPanelSection" styleClass="panelSectionDPSMWide" initClosed="false">
			<f:facet name="closed">
				<hx:jspPanel id="wwpnid5">
				<hx:graphicImageEx id="pvolid6" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif" border="0" hspace="0" vspace="0"/>						
				<h:outputText id="pvoltext1" value="#{msg.LBL_ADV_FIBR}" title="#{msg.LBL_ADV_FIBR}" />
				</hx:jspPanel>
			</f:facet>
			<f:facet name="opened">
				<hx:jspPanel id="wwpnid3">
				<hx:graphicImageEx id="pvolid4" align="bottom" value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif" border="0" hspace="0" vspace="0"/>
					<h:outputText id="pvoltext2" value="#{msg.LBL_ADV_FIBR}" title="#{msg.LBL_ADV_FIBR}" />
				</hx:jspPanel>
			</f:facet>				               
		
			
				
			<h:panelGrid id="fetch" border="0" cellpadding="0"
						cellspacing="0" width="100%" rendered="#{!manageVirAdaptersUIBean.wwpnButton}">
				
			<usmc:outputLabel id="fetchlabelid"
							value="#{msg.LBL_FETCH}" for="fetch" />
							
							<h:outputText value="<br>" escape="false" />
							
			<hx:commandExButton styleClass="buttonRegular" id="addFetch"
				action="#{manageVirAdaptersBean.refreshPage}"
				value="#{msg.LBL_FET}"  type="submit">
				<hx:behavior event="onclick" targetAction="manageServerPanel" behaviorAction="get;stop"/>	
				</hx:commandExButton>
			</h:panelGrid>
			
			<h:panelGrid id="retrieve" border="0" cellpadding="0"
						cellspacing="0" width="100%" rendered="#{manageVirAdaptersUIBean.wwpnButton}">
		
	
		
			<h:panelGrid id="wwvirstrAdapprogessSesction"
				rendered="#{!manageVirAdaptersUIBean.virStrgWwpnPageRender}"
				cellpadding="0" cellspacing="0" columns="3">
				<hx:graphicImageEx id="wwspinImagevirstrAdap"
					value="/images/processing.gif" />
				<h:outputText value="&nbsp;" escape="false" id="wwopttextvirstrAdap"></h:outputText>
				<h:outputText
					value="#{manageVirAdaptersUIBean.virAdapWaitingUsrText}"
					escape="false" id="wwoptxtvirstrAdap" />
		
			</h:panelGrid>
			
			<h:panelGrid width="100%" cellpadding="0" cellspacing="0"
				rendered="#{manageVirAdaptersUIBean.virStrgWwpnPageRender}">
				
				<h:panelGrid width ="100%" cellpadding="0" cellspacing="0" rendered="#{manageVirAdaptersUIBean.renderWwpnTable}">
					<usmc:outputLabel id="labelid"
							value="#{msg.LBL_MESG}"/>
				</h:panelGrid>
				
					<h:outputText value="<br>" escape="false" />
					<h:panelGrid columnClasses="wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR"
						id="wwtoolbarTable" columns="7" border="0" cellpadding="0"
						cellspacing="0" width="100%"
						rendered="#{manageVirAdaptersUIBean.renderWwpnTable}">

						
						<hx:graphicImageEx value="/images/wtable_spacer.gif"
							style="width: 15px" />

						<hx:commandExButton styleClass="commandExButton" id="waddadapterid"
							action="#{manageVirAdaptersUIBean.wwpnStatusOn}"
							value="#{msg.LBL_IN}"
							type="submit" 
							disabled="#{manageVirAdaptersUIBean.loginDisabled}">
							<hx:behavior event="onclick"
								targetAction="manageServerPanel" behaviorAction="get;stop" />
						</hx:commandExButton>


						<hx:commandExButton styleClass="commandExButton" id="wviewadapterid"
							action="#{manageVirAdaptersUIBean.wwpnStatusOff}"
							value="#{msg.LBL_OUT}" type="submit"
							disabled="#{manageVirAdaptersUIBean.logoutDisabled}">
							<hx:behavior event="onclick"
								targetAction="manageServerPanel" behaviorAction="get;stop" />
						</hx:commandExButton>
								
						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
						<hx:graphicImageEx value="/images/wtable_spacer.gif" />
					</h:panelGrid>
					
					
					<h:panelGrid id="wwphyadaptabledialogwrapperPanel" width="100%"
						cellspacing="0" cellpadding="0" border="0"
						styleClass="newFaceDataTableBorder"
						rendered="#{manageVirAdaptersUIBean.renderWwpnTable}">
					<hx:dataTableEx id="wwphyadapdialogTable" border="0" cellpadding="10" cellspacing="0"
					columnClasses="columnClass1"
					headerClass="dataTableColumnHeader"
					footerClass="footerClass" rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
					value="#{manageVirAdaptersUIBean.wwpnDetail}"
					var="wwpnlist" width="100%"  scrollSize="#{manageVirAdaptersUIBean.wwpnTblScrollSize}">
					
					
					<hx:columnEx id="wwphyadapdialogLocCol2" >
						<f:facet name="header">						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">	
						<usmc:outputLabel styleClass="outputLabel"
								id="wwphyadaploclbldialogid2" value="#{msg.LBL_SLOT}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapdevCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');"/>
						</h:panelGrid>		
						</f:facet>
						<h:outputText value="#{wwpnlist.slotNumber}" escape="false"/>
					</hx:columnEx>
					
					
					<hx:columnEx id="wwphyadapdialogLocCol3" >
						<f:facet name="header">						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">	
						<usmc:outputLabel styleClass="outputLabel"
								id="wwphyadaploclbldialogid3" value="#{msg.LBL_WWPN}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapdevCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');"/>
						</h:panelGrid>		
						</f:facet>
						<h:outputText value="#{wwpnlist.wwpn}" escape="false"/>	
					</hx:columnEx>
					
					
					<hx:columnEx id="wwphyadapdialogLocCol4" >
						<f:facet name="header">						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">	
						<usmc:outputLabel styleClass="outputLabel"
								id="wwphyadaploclbldialogid4" value="#{msg.LBL_STAUTUS}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapdevCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');"/>
						</h:panelGrid>		
						</f:facet>
						<h:outputText value="#{wwpnlist.wwpnStatus}" escape="false"/>	
					</hx:columnEx>
					
					
					<hx:columnEx id="wwphyadapdialogLocCol" >
						<f:facet name="header">						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">	
						<usmc:outputLabel styleClass="outputLabel"
								id="wwphyadaploclbldialogid" value="#{msg.LBL_LOGGED}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapdevCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');"/>
						</h:panelGrid>		
						</f:facet>
							<h:outputText value="#{wwpnlist.loggedIn}" escape="false"/>
					</hx:columnEx>
					
					
					<hx:columnEx id="wwphyadapdialogLocCol5" >
						<f:facet name="header">						
						<h:panelGrid columns="2" width="100%" columnClasses="sortHeaderText,sortHeaderImage">	
						<usmc:outputLabel styleClass="outputLabel"
								id="wwphyadaploclbldialogid5" value="#{msg.LBL_ERROR}" />
						<hx:graphicImageEx value="/images/JSF_sort_bi.gif" title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}" style="text-align: right" onclick="sortCol(
							'manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapsortbutton','vadapdevCol','manageServer_form:ManageServerVTabView:ManageVirAdapPanel:vAdapSortColumn');"/>
						</h:panelGrid>		
						</f:facet>
						<h:outputText value="#{wwpnlist.errorStatus}" escape="false"/>	
						<h:outputText value="#{wwpnlist.warningStatus}" escape="false"/>	
					</hx:columnEx>
					
										
					
				</hx:dataTableEx>
			</h:panelGrid>
		
			<exfaces:script type="text/javascript"
						value="alignCol('manageServer_form:ManageServerVTabView:ManageVirAdapPanel:wwphyadapdialogTable');"
						rendered="#{manageVirAdaptersUIBean.wwpnTblScrollable}" />
			
				<h:panelGrid width ="100%" cellpadding="0" cellspacing="0" rendered="#{manageVirAdaptersUIBean.vfcEmpty}">
				<h:outputText value="#{msg.LBL_EMPTY_FCADAPTER}" escape="false"/>
				</h:panelGrid>
		
		</h:panelGrid>
			
	</h:panelGrid>

					
</hx:panelSection>
</h:panelGrid>
</hx:panelBox>
